/* ----------------------------------------------------------------------------------- */
/* ----------------------------------------------------------------------------------- */


CREATE OR REPLACE PROCEDURE GERA_NOTAFISCAL_ENCARGO
   (P_CDFILIAL    IN NOTAFISCAL.CDFILIAL%TYPE,
    P_NRLANCTONF  IN NOTAFISCAL.NRLANCTONF%TYPE,
    P_CDENCARGO   IN ITEMENCARGO.CDENCARGO%TYPE,
    P_VRITEMENCA  IN ITEMENCARGO.VRITEMENCA%TYPE)

AS

   V_EXISTE_ENCARGO NUMBER;

BEGIN
   SELECT COUNT(*)
   INTO   V_EXISTE_ENCARGO
   FROM   ITEMENCARGO
   WHERE  CDFILIAL   = P_CDFILIAL
     AND  NRLANCTONF = P_NRLANCTONF
     AND  CDENCARGO  = P_CDENCARGO;
   IF V_EXISTE_ENCARGO = 0 THEN
      INSERT INTO ITEMENCARGO
         (CDFILIAL, NRLANCTONF, CDENCARGO, VRITEMENCA)
      VALUES
         (P_CDFILIAL, P_NRLANCTONF, P_CDENCARGO, P_VRITEMENCA);
   ELSE
      UPDATE ITEMENCARGO
      SET    VRITEMENCA = VRITEMENCA + P_VRITEMENCA
      WHERE  CDFILIAL   = P_CDFILIAL
        AND  NRLANCTONF = P_NRLANCTONF
        AND  CDENCARGO  = P_CDENCARGO;
   END IF;

END;
/


-- VERSAO --
BEGIN ATUVEROBJ('GERA_NOTAFISCAL_ENCARGO','6.10.000'); END;
/

