package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ManutencaoDoUltimoCustoPage extends PageBase{

    By loadingWait = By.xpath("//*[@class='zh-loading-desc ng-binding']");
    By campoProcurarFloatControl = By.xpath("//*[@id='popup']//*[@placeholder='Procurar']");
    //BUSCA DO PRODUTO ATRAVES DO FLOAT-CONTROL:

    By clearFilter = By.xpath("//*[@data-zh-id='171284230030159955312607_filter_action_clear']");
    By IconeUnidade = By.xpath("//*[@data-zh-id='17128423003890341068696']//*[@id='NMFILIAL']/span[1]");

    By SelecionarUnidade = By.xpath("//*[@data-zh-field-name='NMFILIAL']//*[.='HELA INGREDIENTES BRASIL']");
    By IconeData = By.xpath("//*[@data-zh-id='171284230028551401522692']//*[@class='zh-icon zh-icon-calendar zh-icon-no-border']");
    By DataEscolhidaInicial = By.xpath("//*[@class='day today']");
    By almoxarifado = By.xpath("//*[@id='grid-9000']//*[.='HELA MATRIZ']");
    By btnIconAlmoxarifado1 = By.xpath("//*[@data-zh-id='68109911634602156202']//*[@class='zh-icon zh-icon-search zh-icon-no-border']");

    By btnAplicarFiltro = By.xpath("//span[text()='Aplicar filtro']");



    public void limparTela(){
        click(clearFilter);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
    public void clicarIconeUnidade() {
        waitForVisibilityOfElementLocated(IconeUnidade);
        click(IconeUnidade);
    }
    public void campoBusca(){
        waitForVisibilityOfElementLocated(campoProcurarFloatControl);
        click(campoProcurarFloatControl);
    }
    public void buscarUnidade(String descUnidade){
        sendKeys(campoProcurarFloatControl,descUnidade);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
    public void selecionarUnidadeInventario(){
        waitForVisibilityOfElementLocated(SelecionarUnidade);
        click(SelecionarUnidade);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
    public void clicarCampoData(){
        waitForVisibilityOfElementLocated(IconeData);
        click(IconeData);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
    public void selecionarPeriodo(){
        waitForVisibilityOfElementLocated(DataEscolhidaInicial);
        click(DataEscolhidaInicial);
    }

    public void clicarCampoAlmoxarifado(){
        waitForVisibilityOfElementLocated(btnIconAlmoxarifado1);
        click(btnIconAlmoxarifado1);
        waitForInvisibilityOfElementLocated(loadingWait);
    }

    public void buscarAlmoxarifado(String descAlmoxarifado){
        sendKeys(campoProcurarFloatControl,descAlmoxarifado);
        waitForInvisibilityOfElementLocated(loadingWait);
    }

    public void selecionarAlmoxarifado(){
        waitForVisibilityOfElementLocated(almoxarifado);
        click(almoxarifado);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
    public void aguardarCarregarElemento(){
        waitForInvisibilityOfElementLocated( loadingWait);
        waitForElementByTime(btnAplicarFiltro,10);
    }
    public void aguardarElementoTela(){
        waitForInvisibilityOfElementLocated(loadingWait);
        waitForVisibilityOfElementLocated(btnAplicarFiltro);
    }
    public void botaoAplicarFiltro(){
        click(btnAplicarFiltro);
        waitForInvisibilityOfElementLocated(loadingWait);
    }
}
